package ro.ieval.unical;
import java.util.Date;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;


public class EventAdapter extends ArrayAdapter<Event> {
	private final Event[] values;
	private final Context context;

	public EventAdapter(final Context context, final Event[] values) {
		super(context,R.layout.event_row_layout,values);
		this.context=context;
		this.values=values;
	}
	
	@Override
	public View getView(final int position, final View convertView, final ViewGroup parent) {
	    final LayoutInflater inflater = (LayoutInflater) context
	        .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	    final View rowView = inflater.inflate(R.layout.event_row_layout, parent, false);
	    final TextView title = (TextView) rowView.findViewById(R.id.smalleventtitle);
	    final TextView dstart = (TextView) rowView.findViewById(R.id.smalldatestart);
	    final TextView dend = (TextView) rowView.findViewById(R.id.smalldateend);
	    final View header = rowView.findViewById(R.id.rowHeader);
	    header.setBackgroundColor(values[position].eventColour);
	    title.setText(values[position].title);
	    dstart.setText(new Date(values[position].dtstart).toString());
	    dend.setText(new Date(values[position].dtend).toString());
	    
	    return rowView;
	 }
}
